﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.IO;

public partial class Details : System.Web.UI.Page
{
    protected void SlideShowTimer_Tick(object sender, EventArgs e)
    {
        this.SlideShowImage.ImageUrl = GetNextImage();
    }

    int nextPicIndex
    {
        get { return (int)ViewState["nextPicIndex"]; }
        set { ViewState["nextPicIndex"] = value; }
    }

    FileInfo[] rgFiles
    {
        get { return (FileInfo[])ViewState["rgFiles"];}
        set { ViewState["rgFiles"] = value;}
    }
   
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DirectoryInfo di = new DirectoryInfo(HttpRuntime.AppDomainAppPath.ToString() + "images\\" + Request.QueryString["Stock"]);
            if (di.Exists == true)
            {
                rgFiles = di.GetFiles("*.jpg");
                nextPicIndex = 0;
            }
            this.SlideShowImage.ImageUrl = GetNextImage();
        }

    }

    protected void Page_Unload(object sender, EventArgs e)
    {
        
    }

    private string GetNextImage()
    {
        if (rgFiles.GetLength(0) > 1)
        {
            this.ButtonPausePlay.Visible = true;
            this.ButtonNext.Visible = true;
            this.ButtonPrevious.Visible = true;
            this.SlideShowTimer.Enabled = true;
            if (nextPicIndex >= rgFiles.GetLength(0))
                nextPicIndex = 0;
            return "~/images/" + Request.QueryString["Stock"] + "/" + rgFiles[nextPicIndex++];
        }
        else
        {
            this.ButtonNext.Visible = false;
            this.ButtonPrevious.Visible = false;
            this.ButtonPausePlay.Visible = false;
            this.SlideShowTimer.Enabled = false;
            return "~/images/mikes/noimage.jpg"; ;
        }
    }
    protected void ButtonPausePlay_Click(object sender, EventArgs e)
    {
        if (ButtonPausePlay.Text == "PLAY")
        {
            ButtonNext.Enabled = false;
            ButtonPrevious.Enabled = false;
            ButtonPausePlay.Text = "PAUSE";
            SlideShowTimer.Enabled = true;
        }
        else
        {
            ButtonNext.Enabled = true;
            ButtonPrevious.Enabled = true;
            ButtonPausePlay.Text = "PLAY";
            this.SlideShowTimer.Enabled = false;
        }
    }
    protected void ButtonNext_Click(object sender, EventArgs e)
    {
        this.SlideShowImage.ImageUrl = NextPrevious(true);
    }
    protected void ButtonPrevious_Click(object sender, EventArgs e)
    {
        this.SlideShowImage.ImageUrl = NextPrevious(false);
    }
    private string NextPrevious(bool NextImage)
    {
        if (NextImage == true)
        {
            if (nextPicIndex >= rgFiles.GetLength(0))
                nextPicIndex = 0;
            return "~/images/" + Request.QueryString["Stock"] + "/" + rgFiles[nextPicIndex++];
        }
        else
        {
            nextPicIndex = nextPicIndex - 2;
            if (nextPicIndex < 0)
            {
                nextPicIndex = rgFiles.GetLength(0) - 1;
                return "~/images/" + Request.QueryString["Stock"] + "/" + rgFiles[nextPicIndex++];
            }
            else
            {
                return "~/images/" + Request.QueryString["Stock"] + "/" + rgFiles[nextPicIndex++];
            }
         }
    }
}